---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libIsSyntheticIssynth001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51130, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53070, symBinAddr: 0xE100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53460, symBinAddr: 0xE4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54400, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54410, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50DA0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50DA4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50DA8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50F00, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50FB8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50FBC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50FC0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50FC4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50FC8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50FD0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50FE8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50FF0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50FF8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51000, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51008, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51050, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51058, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51068, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4350, symSize: 0x80 }
  - { offsetInCU: 0x91D7, offset: 0x91D7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x42A0, symSize: 0xB0 }
  - { offsetInCU: 0x9232, offset: 0x9232, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x41A0, symSize: 0x100 }
  - { offsetInCU: 0x94C5, offset: 0x94C5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x43D0, symSize: 0x220 }
  - { offsetInCU: 0x96AA, offset: 0x96AA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x45F0, symSize: 0xA0 }
  - { offsetInCU: 0x975D, offset: 0x975D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4690, symSize: 0x110 }
  - { offsetInCU: 0x9853, offset: 0x9853, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x47A0, symSize: 0x150 }
  - { offsetInCU: 0x9984, offset: 0x9984, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x48F0, symSize: 0x30 }
  - { offsetInCU: 0x9A0D, offset: 0x9A0D, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4920, symSize: 0x150 }
  - { offsetInCU: 0x9C05, offset: 0x9C05, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4A70, symSize: 0x160 }
  - { offsetInCU: 0x9D91, offset: 0x9D91, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4BD0, symSize: 0x1B0 }
  - { offsetInCU: 0x9FAC, offset: 0x9FAC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4D80, symSize: 0xA0 }
  - { offsetInCU: 0xA07B, offset: 0xA07B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4E20, symSize: 0x20 }
  - { offsetInCU: 0xA0B2, offset: 0xA0B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4E40, symSize: 0x20 }
  - { offsetInCU: 0xA0E9, offset: 0xA0E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4E60, symSize: 0x20 }
  - { offsetInCU: 0xA29C, offset: 0xA29C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4E80, symSize: 0x1A0 }
  - { offsetInCU: 0xA5C2, offset: 0xA5C2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5020, symSize: 0x80 }
  - { offsetInCU: 0xA68B, offset: 0xA68B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x50A0, symSize: 0x6A0 }
  - { offsetInCU: 0xB220, offset: 0xB220, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA260, symBinAddr: 0x6470, symSize: 0xB0 }
  - { offsetInCU: 0xB297, offset: 0xB297, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5740, symSize: 0x70 }
  - { offsetInCU: 0xB38B, offset: 0xB38B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x57B0, symSize: 0xA0 }
  - { offsetInCU: 0xB48A, offset: 0xB48A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5850, symSize: 0x40 }
  - { offsetInCU: 0xB580, offset: 0xB580, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5890, symSize: 0x2B0 }
  - { offsetInCU: 0xB926, offset: 0xB926, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5B40, symSize: 0xC0 }
  - { offsetInCU: 0xBA6C, offset: 0xBA6C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5C00, symSize: 0x10 }
  - { offsetInCU: 0xBB2E, offset: 0xBB2E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5C10, symSize: 0x220 }
  - { offsetInCU: 0xBE2B, offset: 0xBE2B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5E30, symSize: 0x10 }
  - { offsetInCU: 0xBE81, offset: 0xBE81, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5E40, symSize: 0xF0 }
  - { offsetInCU: 0xC001, offset: 0xC001, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x5F30, symSize: 0x10 }
  - { offsetInCU: 0xC0E7, offset: 0xC0E7, size: 0x8, addend: 0x0, symName: _checkClassMethods, symObjAddr: 0x9D30, symBinAddr: 0x5F40, symSize: 0x200 }
  - { offsetInCU: 0xC406, offset: 0xC406, size: 0x8, addend: 0x0, symName: _checkClassFields, symObjAddr: 0x9F30, symBinAddr: 0x6140, symSize: 0x210 }
  - { offsetInCU: 0xC654, offset: 0xC654, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_IsSynthetic_issynth001_check, symObjAddr: 0xA140, symBinAddr: 0x6350, symSize: 0x110 }
  - { offsetInCU: 0xC7A7, offset: 0xC7A7, size: 0x8, addend: 0x0, symName: _Java_issynth001_getRes, symObjAddr: 0xA250, symBinAddr: 0x6460, symSize: 0x10 }
  - { offsetInCU: 0xC7DF, offset: 0xC7DF, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA310, symBinAddr: 0x6520, symSize: 0x36A }
...
